## LassoIsInquiry LassoIsInquiry — <is:Inquiry> |

## Functions

#define | LASSO_IS_IS_INQUIRY()
LassoIsInquiry * | lasso_is_inquiry_new ()

## Types and Values

struct | LassoIsInquiry

## Description

Figure 196. Schema fragment for is:Inquiry

    <xs:complexType name="InquiryType">
      <xs:sequence>
        <xs:element ref="Help" minOccurs="0"/>
        <xs:choice maxOccurs="unbounded">
          <xs:element ref="Select" minOccurs="0" maxOccurs="unbounded"/>
          <xs:element name="Confirm" type="InquiryElementType"
            minOccurs="0" maxOccurs="unbounded"/>
            <xs:element ref="Text" minOccurs="0" maxOccurs="unbounded"/>
          </xs:choice>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID" use="optional"/>
        <xs:attribute name="title" type="xs:string" use="optional"/>
      </xs:complexType>

## Functions

### LASSO_IS_IS_INQUIRY()

    #define LASSO_IS_IS_INQUIRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), LASSO_TYPE_IS_INQUIRY))

### lasso_is_inquiry_new ()

    LassoIsInquiry *
    lasso_is_inquiry_new (void);

## Types and Values

### struct LassoIsInquiry

    struct LassoIsInquiry {
    	LassoNode parent;

    	GList *Help; /* of LassoNode */
    	GList *Select; /* of LassoNode */
    	GList *Confirm; /* of LassoNode */
    	GList *Text; /* of LassoNode */

    	char *id;
    	char *title;
    };